## robber 0.2.2

=== DESCRIPTION ===
Package: robber
Title: Using Block Model to Estimate the Robustness of Ecological
        Network
Version: 0.2.2
Authors@R: 
    person(given = "Saint-Clair",
           family = "Chabert-Liddell",
           role = c("aut", "cre"),
           email = "saint-clair.chabert-liddell@agroparistech.fr",
           comment = c(ORCID = "0000-0001-5604-7308"))
Description: Implementation of a variety of methods to compute
    the robustness of ecological interaction networks with binary interactions 
    as described in <arXiv:1910.10512>. In particular, using the Stochastic 
    Block Model and its bipartite counterpart, the Latent Block Model to put a 
    parametric model on the network, allows the comparison of the robustness of 
    networks differing in species richness and number of interactions. It also
    deals with networks that are partially sampled and/or with missing values. 
License: GPL-3
URL: https://github.com/Chabert-Liddell/robber
BugReports: https://github.com/Chabert-Liddell/robber/issues
Depends: R (>= 3.5)
Imports: blockmodels (>= 1.1.2), ggplot2, GREMLINS, igraph, magrittr,
        pammtools, partitions, purrr, stats
Suggests: dplyr, forcats, knitr, patchwork, pbmcapply, RColorBrewer,
        rmarkdown, spelling, testthat, tibble, tidyr, tidyverse
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-09-18 22:37:32 UTC; stc
Author: Saint-Clair Chabert-Liddell [aut, cre]
    (<https://orcid.org/0000-0001-5604-7308>)
Maintainer: Saint-Clair Chabert-Liddell <saint-clair.chabert-liddell@agroparistech.fr>
Repository: CRAN
Date/Publication: 2021-09-20 14:50:09 UTC

## robber 0.2.3

=== DESCRIPTION ===
Package: robber
Title: Using Block Model to Estimate the Robustness of Ecological
        Network
Version: 0.2.3
Authors@R: 
    person(given = "Saint-Clair",
           family = "Chabert-Liddell",
           role = c("aut", "cre"),
           email = "academic@chabert-liddell.com",
           comment = c(ORCID = "0000-0001-5604-7308"))
Description: Implementation of a variety of methods to compute
    the robustness of ecological interaction networks with binary interactions 
    as described in <doi:10.1002/env.2709>. In particular, using the Stochastic 
    Block Model and its bipartite counterpart, the Latent Block Model to put a 
    parametric model on the network, allows the comparison of the robustness of 
    networks differing in species richness and number of interactions. It also
    deals with networks that are partially sampled and/or with missing values. 
License: GPL-3
URL: https://github.com/Chabert-Liddell/robber
BugReports: https://github.com/Chabert-Liddell/robber/issues
Depends: R (>= 3.5)
Imports: blockmodels (>= 1.1.2), ggplot2, GREMLINS, igraph, magrittr,
        pammtools, partitions, purrr, stats
Suggests: dplyr, forcats, knitr, patchwork, pbmcapply, RColorBrewer,
        rmarkdown, spelling, testthat, tibble, tidyr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-02-27 12:49:54 UTC; saint-clair
Author: Saint-Clair Chabert-Liddell [aut, cre]
    (<https://orcid.org/0000-0001-5604-7308>)
Maintainer: Saint-Clair Chabert-Liddell <academic@chabert-liddell.com>
Repository: CRAN
Date/Publication: 2023-02-28 08:32:35 UTC

## robber 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: robber
 Title: Using Block Model to Estimate the Robustness of Ecological
         Network
-Version: 0.2.3
+Version: 0.2.4
 Authors@R: 
     person(given = "Saint-Clair",
            family = "Chabert-Liddell",
@@ -29,9 +29,9 @@
 LazyData: true
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-02-27 12:49:54 UTC; saint-clair
+Packaged: 2024-02-07 13:32:31 UTC; saint-clair
 Author: Saint-Clair Chabert-Liddell [aut, cre]
     (<https://orcid.org/0000-0001-5604-7308>)
 Maintainer: Saint-Clair Chabert-Liddell <academic@chabert-liddell.com>
 Repository: CRAN
-Date/Publication: 2023-02-28 08:32:35 UTC
+Date/Publication: 2024-02-07 13:50:02 UTC

## robber 1.1.5

=== debian/changelog ===
robber (1.1.5-3) unstable; urgency=medium

  * Team Upload
  * remove need from python3-mock
  * use new dh-sequence-python3

  [ Thaís Rebouças de Araujo ]
  * Update d/gbp.conf.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 19:10:10 +0100

robber (1.1.5-2) unstable; urgency=medium

  * Update VCS links on d/control. (Closes: #1053893)

 -- Thaís Rebouças de Araujo <thaysreb@gmail.com>  Fri, 13 Oct 2023 16:21:42 -0300

robber (1.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1051387)

 -- Thaís Rebouças de Araujo <thaysreb@gmail.com>  Thu, 07 Sep 2023 05:30:05 -0300

=== debian/control ===
Source: robber
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Thaís Rebouças de Araujo <thaysreb@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-termcolor,
 python3-flake8,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/EastAgile/robber.py
Vcs-Browser: https://salsa.debian.org/python-team/packages/robber
Vcs-Git: https://salsa.debian.org/python-team/packages/robber.git

Package: python3-robber
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: BDD / TDD assertion library for Python (Python 3)
 Python Library that provides assertion functions for Test-driven
 Development and Behavior-Driven Development.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=robber

%:
	dh $@ --buildsystem=pybuild
